<h5 style="margin-left: 485px;margin-bottom: 100px;color: coral; font-family: 'Lucida Calligraphy'; font-size: xxx-large;">Registration Section</h5>


<p-splitter [style]="{'height': 'auto', 'alignContent':'center', 'width':'auto','margin':'5'}" [panelSizes]="[50,50]">
  <ng-template>
    <div class="card">
      <div class="p-grid">
        <div class="p-col-5 p-d-flex p-ai-center p-jc-center">
          <div class="p-fluid">
            <div class="p-field">
              <div class="p-inputgroup">
                <span class="p-inputgroup-addon"><i class="pi pi-user"></i></span>
                <input type="text" pInputText placeholder="Employee Name" [formControl]="name">
              </div>
              <br>
            </div>
            <div class="p-field">
              <div class="p-inputgroup">
                <span class="p-inputgroup-addon"><i class="pi pi-phone"></i></span>
                <input type="phone" pInputText placeholder="Phone Number" [formControl]="contact">
              </div>
              <br>
            </div>
            <div class="p-field">
              <div class="p-inputgroup">
                <span class="p-inputgroup-addon"><i class="pi pi-users"></i></span>
                <input type="phone" pInputText placeholder="Department" [formControl]="type">
              </div>
              <br>
            </div>
            <div class="p-field">
              <div class="p-inputgroup">
                <span class="p-inputgroup-addon"><i class="pi pi-sitemap"></i></span>
                <input type="phone" pInputText placeholder="Position" [formControl]="type">
              </div>
              <br>
            </div>
            <div class="p-field">
              <div class="p-inputgroup">
                <span class="p-inputgroup-addon"><i class="pi pi-envelope"></i></span>
                <input type="email" pInputText placeholder="email" [formControl]="email">
              </div>
              <br>
            </div>
            <div class="p-field">
              <div class="p-inputgroup">
                <span class="p-inputgroup-addon"><i class="pi pi-id-card"></i></span>
                <input type="text" pInputText placeholder="Username" [formControl]="username">
              </div>
              <br>
            </div>
            <div class="p-field">
              <div class="p-inputgroup">
                <span class="p-inputgroup-addon"><i class="pi pi-id-card"></i></span>
                <input pPassword type="password" [formControl]="password"/>
              </div>
              <br>
            </div>
            <span style="size: initial">
              <p>Choose Employee Image:- </p>
            <input style="height: 100px" type="file" (change)="onselectImage($event)">
            </span>
            <p-confirmDialog header="Confirmation" icon="pi pi-exclamation-triangle"></p-confirmDialog>
            <button (click)="confirm()" pButton icon="pi pi-check" label="Register"></button>
          </div>
        </div>
      </div>
    </div>
  </ng-template>
  <ng-template>
    <img [src]="url" height="600" width="521">
  </ng-template>
</p-splitter>
